package org.jboss.cache.passivation;

import org.jboss.cache.CacheSPI;
import static org.jboss.cache.factories.UnitTestCacheConfigurationFactory.buildSingleCacheLoaderConfig;
import org.testng.annotations.Test;

/**
 * tests passivation using file cache loader
 *
 * @author <a href="mailto:{hmesha@novell.com}">{Hany Mesha}</a>
 * @version $Id: PassivationToFileCacheLoaderTest.java 6905 2008-10-13 09:35:27Z dpospisi@redhat.com $
 */
@Test(groups = "functional")
public class PassivationToFileCacheLoaderTest extends PassivationTestsBase
{
   protected void configureCache() throws Exception
   {

      String tmpLocation = null;
      String OS = System.getProperty("os.name").toLowerCase();
      if (OS.contains("win") || OS.contains("nt"))
      {
         tmpLocation = System.getProperty("java.io.tmpdir", "c:\\tmp");
      }
      else
      {
         tmpLocation = System.getProperty("jva.io.tmpdir", "/tmp");
      }

      String threadId = Thread.currentThread().getName();
      String tmpCLLoc = tmpLocation + "/JBossCache-PassivationToFileCacheLoaderTest-" + threadId;
      
      CacheSPI<Object, Object> cache = cacheTL.get();
      cache.getConfiguration().setCacheLoaderConfig(buildSingleCacheLoaderConfig(true, null, "org.jboss.cache.loader.FileCacheLoader", "location=" + tmpCLLoc, false, false, false, false, false));
   }
}
